---
title: FocusEvent()
slug: Web/API/FocusEvent/FocusEvent
tags:
  - API
  - Constructor
  - Event
  - FocusEvent
  - Reference
---
<div>{{APIRef("DOM Events")}}</div>

<p>The <code><strong>FocusEvent()</strong></code> constructor returns a newly created {{domxref("FocusEvent")}} object with an optional {{domxref("EventTarget")}}. When the event has both a source and a destination, the <code>relatedTarget</code> value must be set to the other target.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>focusEvent</em> = new FocusEvent(<em>typeArg</em>[, <em>focusEventInit</em>]);
</pre>

<h3 id="Properties">Properties</h3>

<p><em>The <code>FocusEvent()</code></em><em> constructor also inherits arguments from {{domxref("UIEvent.UIEvent", "UIEvent()")}} and from {{domxref("Event.Event", "Event()")}}.</em></p>

<dl>
 <dt><code>typeArg</code></dt>
 <dd>Is a {{domxref("DOMString")}} representing the name of the event.</dd>
 <dt><code>focusEventInit</code> {{optional_inline}}</dt>
 <dd>Is a <code>FocusEventInit</code> dictionary, having the following fields:
 <ul>
  <li><code>"relatedTarget"</code>, optional and defaulting to <code>null</code>, is an {{domxref("EventTarget")}} representing the secondary target of a {{domxref("FocusEvent")}}.</li>
 </ul>

 <div class="note">
 <p>The <code>FocusEventInit</code> dictionary also accepts fields from the {{domxref("UIEvent.UIEvent", "UIEventInit")}} and {{domxref("Event.Event", "EventInit")}} dictionaries.</p>
 </div>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events', '#interface-FocusEvent', 'FocusEvent()')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FocusEvent.FocusEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("FocusEvent")}} interface it belongs to.</li>
</ul>
